Package com.pixelmed.web

# Class RequestTypeServer.RequestTypeWorker

java.lang.Object
com.pixelmed.web.HttpServer.Worker
com.pixelmed.web.RequestTypeServer.RequestTypeWorker

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  RequestTypeServer

protected class RequestTypeServer.RequestTypeWorker extends HttpServer.Worker

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RequestTypeWorker()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`generateResponseToGetRequest(String requestURI, OutputStream out)`

### Methods inherited from class com.pixelmed.web.HttpServer.Worker

`run`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RequestTypeWorker

protected RequestTypeWorker()

## Method Details

### generateResponseToGetRequest

protected void generateResponseToGetRequest(String requestURI, OutputStream out) throws IOException

Specified by:
  `generateResponseToGetRequest` in class `HttpServer.Worker`
Throws:
  `IOException`